﻿using System;
using System.Collections.Generic;
using System.Text;

namespace cleverbridge.Games.TicTacToe
{
    internal class GameLog
    {
        private readonly List<GameLogEntry> _list;

        public GameLog()
        {
            _list = new List<GameLogEntry>();
        }

        public void AddEntry(
            Player? winner,
            Int32 moves)
        {
            _list.Add(new GameLogEntry(winner, moves));
        }

        public Int32 GetCount(
            Player? winner,
            Int32? moves)
        {
            var count = 0;

            foreach (var gameLogEntry in _list)
            {
                if (gameLogEntry.Winner == winner)
                {
                    if (moves == null || gameLogEntry.Moves == moves)
                        count++;
                }
            }

            return count;
        }
    }
}